%undefine __libtoolize

Name: ksocrat
Version: 3.2.1
Release: alt3

Group: System/Internationalization
Summary: English/Russian and Russian/English dictionary for KDE
License: GPL
Url: http://ksocrat.linux.kiev.ua

#Requires: %name-data >= %version
Provides: ksocrat-data = %version-%release
Obsoletes: ksocrat-data <= 3.2.1-alt1.1

Source0: %name-%version.tar.bz2
Source1: ksocrat-enru-dic-1.0.1.tar.bz2
Source2: ksocrat-ruen-dic-1.0.1.tar.bz2

# Automatically added by buildreq on Thu Mar 18 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glibc-devel-static kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel zlib-devel

BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: glibc-devel kde-settings kdelibs-devel libarts-devel libjpeg-devel
BuildRequires: libpng-devel libqt3-devel libstdc++-devel zlib-devel
#BuildRequires: automake_1.4 autoconf_2.13
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs > 1 kdelibs-devel > 1

%description
Simple frontend for Socrat English/Russian
and Russian/English dictionary.

%package data
Group: Text tools
Summary: En-Ru and Ru-En dictionaries for %name package
License: ARSENAL INC.

%description data
English/Russian and Russian/English dictionaries
for %name package

%prep
%setup -q
tar xvfj %SOURCE1
tar xvfj %SOURCE2

#subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" configure
subst "s/\-lkdeui/-lkdeui -lpthread/g" configure
subst "s/\.la/.so/g" configure

%build
export QTDIR=/usr/lib/qt3
export KDEDIR=/usr

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:/usr/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

%configure \
	--enable-final \
	--enable-shared \
	--disable-static \
	--disable-rpath \
	--enable-shared \
	--disable-debug

%make_build

%install
make DESTDIR=%buildroot install

pushd usr/share/apps/ksocrat
    install -m 0644 *.dic %buildroot/%_datadir/apps/ksocrat/
popd

# create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name "Applications/Text tools" %buildroot%_datadir/applnk/Applications/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog* README TODO
#
%_bindir/*
%_iconsdir/*
%_menudir/%name
%_datadir/applnk/Applications/*.desktop
%_datadir/apps/%name
%doc usr/share/apps/ksocrat/Arsenal*
#
%dir %_datadir/apps/%name
%_datadir/apps/%name/*.dic

%changelog
* Tue Jun 14 2005 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt3
- add missing dictionaries

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt2
- fix compile
- don't split data to separate package

* Mon Jul 19 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt1
- new version

* Thu Mar 18 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2-alt2
- rebuild with KDE 3.2

* Mon May 05 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.2-alt1
- new version

* Thu Feb 06 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.1-alt1
- 3.1.1
- add license to dictionaries

* Mon Jan 20 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 3.1-alt1
- 3.1
- Remove dictionaries

* Fri Nov 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 3.0-alt1
- 3.0
